libkygsetting(3)

NAME
libkygsetting - KYSDK C语言Gsettings模块

SYNOPSIS

  Functions
int kdk_gsettings_set (const char *schema_id, const char *key, const char *format,...)
设置gesettings指定key值
int kdk_settings_reset (const char *schema_id, const char *key)
重置gesettings指定key值
int kdk_settings_set_string (const char *schema_id, const char *key, const char *value)
设置gesettings指定string类型key值
int kdk_settings_set_int (const char *schema_id, const char *key, int value)
设置gesettings指定int类型key值
void * kdk_gsettings_get (const char *schema_id, const char *key, const char *format,...)
获取gesettings指定key值
char * kdk_settings_get_string (const char *schema_id, const char *key)
获取gesettings指定string类型key值
int kdk_settings_get_int (const char *schema_id, const char *key)
获取gesettings指定int类型key值
double kdk_settings_get_double (const char *schema_id, const char *key)
获取gesettings指定double类型key值

Detailed Description

KYSDK C语言Gsettings模块

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_gsettings_set(), kdk_settings_reset(), kdk_settings_set_string(), kdk_settings_set_int(), kdk_gsettings_get(), kdk_settings_get_string(), kdk_settings_get_int() and kdk_settings_get_double().

SEE ALSO
kdk_gsettings_set(3), kdk_settings_reset(3), kdk_settings_set_string(3), kdk_settings_set_int(3), kdk_gsettings_get(3), kdk_settings_get_string(3), kdk_settings_get_int(3) and kdk_settings_get_double(3).

Author

Generated automatically by Doxygen for libkygsetting.h from the source code.